function AISMN_Drink::OnEnter(%this,%obj)
{
   GetThisObject(%obj).playThread( 0, "drunkswig");
   GetThisObject(%obj).setRotationZ(RandomNumber(0,360));
   GetThisObject(%obj).mountImage("bottle",2);
   return;
}

function AISMN_Drink::OnExit(%this,%obj)
{
   RestoreCharacterOutfit(%obj);
   return;
}

function AISMN_Drink::Update(%this,%obj)
{   
   if(TimeInNode(%obj) >= 4.0)
      ReturnValue(%obj,0);
   else
      ReturnValue(%obj,-1);
   return;
}